Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.lob
Class ReaderInputStream

    java.lang.Object
      java.io.InputStream
          org.hibernate.engine.jdbc.ReaderInputStream
              org.hibernate.lob.ReaderInputStream

All Implemented Interfaces:
  Closeable

Deprecated. Should not be used anymore.

    public class ReaderInputStream

extends ReaderInputStream

Exposes a `Reader` as an `InputStream`.

Constructor Summary
`ReaderInputStream(Reader reader)` Deprecated.

Method Summary
`int` | `read()` Deprecated.

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderInputStream

    public ReaderInputStream(Reader reader)

  Deprecated.

Method Detail

### read

    public int read()
             throws IOException

  Deprecated.
  Overrides:
    `read` in class `ReaderInputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.